Create Company Plan
curl --request POST \
--url https://api.gofermata.com/v1/companies/{company_id}/plans \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "string",
"charge_amount": 0,
"charge_denomination": "string",
"billing_period": "string",
"rollover": true,
"balances": [
{
"amount": "string",
"denomination": "string",
"overage_charge_amount": 0,
"overage_charge_denomination": "string",
"auto_refill_amount": 0,
"auto_refill_threshold": 0
}
]
}
'import requests
url = "https://api.gofermata.com/v1/companies/{company_id}/plans"
payload = {
"name": "string",
"charge_amount": 0,
"charge_denomination": "string",
"billing_period": "string",
"rollover": True,
"balances": [
{
"amount": "string",
"denomination": "string",
"overage_charge_amount": 0,
"overage_charge_denomination": "string",
"auto_refill_amount": 0,
"auto_refill_threshold": 0
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'string',
charge_amount: 0,
charge_denomination: 'string',
billing_period: 'string',
rollover: true,
balances: [
{
amount: 'string',
denomination: 'string',
overage_charge_amount: 0,
overage_charge_denomination: 'string',
auto_refill_amount: 0,
auto_refill_threshold: 0
}
]
})
};
fetch('https://api.gofermata.com/v1/companies/{company_id}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
APIs
Create Company Plan
A plan basically acts as a template of account balance denominations and parameters that you can apply to an account upon creation
POST
/
v1
/
companies
/
{company_id}
/
plans
Create Company Plan
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Body
application/json
Should all existing balances be cleared when a new billing period starts?
Causes a webhook to be sent when any of the balances drops below the given percentage
Minimum array length:
1Show child attributes
Show child attributes
Response
200
OK